Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.persistence.testing
Class Test

    java.lang.Object
      rice.persistence.testing.Test

Direct Known Subclasses:
  LRUCacheTest, MemoryStorageTest

public abstract class Test
extends java.lang.Object

This class is a class which tests the Storage class in the rice.persistence package.

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Field Summary
`protected Environment` | `environment` DESCRIBE THE FIELD
`protected static java.lang.String` | `FAILURE` DESCRIBE THE FIELD
`protected static int` | `PAD_SIZE` DESCRIBE THE FIELD
`protected static java.lang.String` | `SUCCESS` DESCRIBE THE FIELD

Constructor Summary
`Test(Environment env)` Constructor for Test.

Method Summary
`protected void` | `sectionEnd()` DESCRIBE THE METHOD
`protected void` | `sectionStart(java.lang.String name)` DESCRIBE THE METHOD
`abstract void` | `start()` DESCRIBE THE METHOD
`protected void` | `stepDone(java.lang.String status)` DESCRIBE THE METHOD
`protected void` | `stepDone(java.lang.String status, java.lang.String message)` DESCRIBE THE METHOD
`protected void` | `stepException(java.lang.Exception e)` DESCRIBE THE METHOD
`protected void` | `stepStart(java.lang.String name)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### environment

    protected Environment environment

  DESCRIBE THE FIELD

### SUCCESS

    protected static final java.lang.String SUCCESS

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### FAILURE

    protected static final java.lang.String FAILURE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### PAD_SIZE

    protected static final int PAD_SIZE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### Test

    public Test(Environment env)

  Constructor for Test.

Parameters:
  `env` - DESCRIBE THE PARAMETER

Method Detail

### start

    public abstract void start()

  DESCRIBE THE METHOD

### sectionStart

    protected void sectionStart(java.lang.String name)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER

### sectionEnd

    protected void sectionEnd()

  DESCRIBE THE METHOD

### stepStart

    protected void stepStart(java.lang.String name)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER

### stepDone

    protected void stepDone(java.lang.String status)

  DESCRIBE THE METHOD

  Parameters:
    `status` - DESCRIBE THE PARAMETER

### stepDone

    protected void stepDone(java.lang.String status,
                            java.lang.String message)

  DESCRIBE THE METHOD

  Parameters:
    `status` - DESCRIBE THE PARAMETER
    `message` - DESCRIBE THE PARAMETER

### stepException

    protected void stepException(java.lang.Exception e)

  DESCRIBE THE METHOD

  Parameters:
    `e` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.